Subject: bug#22291: 25.1.50; REGRESSION: Emacs 24.3 breaks loading cl-macs to get macro `case'

From: Drew Adams <[email-masked]>
Date: Sat, 2 Jan 2016 09:28:02 -0800 (PST)

> IOW, this was a deliberate change, and you should either use 'cl-case'
> with Emacs versions since 24.3, or use 'cl' instead of 'cl-macs'.

I know all of that.  Just because something was decided does not mean
that that decision was the best decision possible, or even wise.

This is a gratuitous change that breaks backward compatibility.  That's
the point.  Gratuitous - unnecessary.

Personally I tend to require `cl', and at compile-time only, to get
such macros.  But it is entirely reasonable that someone might require
`cl-macs' - at runtime or compile time - to get such a macro definition.

And if some user does not compile the code that requires the library
that provides the macro, then s?he will now get the entire `cl' at
runtime, instead of getting only the much-smaller `cl-macs' at runtime.

> OK?

Not IMHO.